import { SitemapNews } from './smartsitemap.classes.sitemapnews';
import * as plugins from './smartsitemap.plugins';

export class SmartSitemap {
  constructor() {}

  /**
   * creates a sitemap for news from feedurl
   */
  public async createSitemapNewsFromFeedUrl(feedUrlArg: string): Promise<string> {
    const sitemapNewsInstance = new SitemapNews({});
    await sitemapNewsInstance.readAndAddFromRssFeed(feedUrlArg);
    return sitemapNewsInstance.exportSitemapXml();
  }

  /**
   * creates a normal sitemap from a list of urls
   */
  public async createSitemapFromYmlString(yamlString: string) {
    const yamlObject = await plugins.smartyaml.yamlStringToObject(yamlString);
  }
}
